import os, stat, shutil
import fileinput
import collections
from stat import *

def makeVerFile(srcPath, baseUrl):
	
	targets = os.listdir(srcPath)

	for target in targets:

		path = srcPath + target

		fileName, fileExtension = os.path.splitext(path)
		fileExtension = fileExtension.lower()

		if ".ver" == fileExtension or ".py" == fileExtension or ".meta" == fileExtension:
			continue


		verPath = path + ".ver"

		if os.path.exists(verPath):
			os.remove(verPath)

		f = open(verPath, "wt")

		
		ver = baseUrl + target

		print(path + " = " + ver)
		f.write(ver)

		f.close()






def makeVerFile_EraseExt(srcPath, baseUrl, eraseExt):
	
	targets = os.listdir(srcPath)

	for target in targets:

		path = srcPath + target

		fileName, fileExtension = os.path.splitext(path)
		fileExtension = fileExtension.lower()

		if ".ver" == fileExtension or ".py" == fileExtension or ".meta" == fileExtension:
			continue

		writeTarget = target 
		idx = writeTarget.find(eraseExt)
		if -1 != idx:
			writeTarget = target[:idx]
			

		verPath = path + ".ver"

		if os.path.exists(verPath):
			os.remove(verPath)

		f = open(verPath, "wt")

		
		ver = baseUrl + writeTarget

		print(path + " = " + ver)
		f.write(ver)

		f.close()



